Bug 2513 - Possible flaws in perl-URPM
: Possible flaws in perl-URPM
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 17:40 MSD by Denis Silakov
Modified: 2013-08-27 16:42 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-08-19 17:40:11 MSD
Some time ago jbj posted a message to resa-devel ML with a patch for perl-URPM that fixes different problems identified by static analysis at http://scan.coverity.com. This patch has been adapted for our perl-URPM, updated packages will be available soon.
Comment 1 Denis Silakov 2013-08-19 17:41:37 MSD
Advisory:

Fixed potential flaws discovered by coverity analyzers.

Build lists:
https://abf.rosalinux.ru/build_lists/1217711
https://abf.rosalinux.ru/build_lists/1217710
Comment 2 Vladimir Potapov 2013-08-26 04:32:14 MSD
perl-URPM-4.43-18-rosa2012.1
***************** Advisory ********************
Fixed potential flaws discovered by coverity analyzers.
***********************************************
QA Verified
Comment 3 Alexander Burmashev 2013-08-27 13:25:59 MSD
had to revert package publishing, we got errors like this
http://file-store.rosalinux.ru/api/v1/file_stores/c24d3805d66f34e7b5c2d536098d3a80789fa3fe.log?show=true

Can't load '/usr/lib/perl5/vendor_perl/5.14.2/x86_64-linux-thread-multi/auto/URPM/URPM.so' for module URPM: /lib64/libaugeas.so.0: file too short at /usr/lib/perl5/5.14.2/x86_64-linux-thread-multi/DynaLoader.pm line 190.
 at /usr/lib/perl5/vendor_perl/5.14.2/urpm/msg.pm line 8
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.14.2/urpm/msg.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.14.2/urpm/msg.pm line 8.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.14.2/urpm.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.14.2/urpm.pm line 8.
Compilation failed in require at /usr/sbin/urpmi.update line 26.
BEGIN failed--compilation aborted at /usr/sbin/urpmi.update line 26.
Comment 4 Alexander Burmashev 2013-08-27 14:16:22 MSD
Chances are high that problem was caused not by perl-URPM, but by urpmi.
More investigation is needed.
Comment 5 Alexander Burmashev 2013-08-27 16:42:16 MSD
We found the reason and it was not Perl-URPM